Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboPopup.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboPopup.PropertyChangeHandler

- All Implemented Interfaces:
    `PropertyChangeListener`, `EventListener`
  Enclosing class:
    BasicComboPopup

      protected class BasicComboPopup.PropertyChangeHandler
      extends Object
      implements PropertyChangeListener

  This listener watches for bound properties that have changed in the combo box.

  Subclasses which wish to listen to combo box property changes should call the superclass methods to ensure that the combo popup correctly handles property changes.

  See Also:
    `BasicComboPopup.createPropertyChangeListener()`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PropertyChangeHandler()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.beans.PropertyChangeListener

      `propertyChange`

- - ### Constructor Detail

    - #### PropertyChangeHandler

          protected PropertyChangeHandler()